#include <time.h>
#include <sys/timer.h>
#include <sys/atom.h>

static u_long epo_offs = 0;

time_t time(time_t *timer)
{
	NutEnterCritical();
	u_long r = epo_offs + NutGetSeconds();
	NutExitCritical();
	
	if (timer)
		*timer = r;	
	return r;
}

int stime(time_t *t)
{
	NutEnterCritical();
	epo_offs = *(u_long*)t - NutGetSeconds();
	NutExitCritical();
	return 0;
}

